ADD_CONTENT_PERMISSION = 'Add portal content'

from Products.CMFDefault import Portal,DublinCore
from Products.CMFDefault import Discussions, DiscussionItem
from Products.CMFCore import utils

from Products.CMFCore.DirectoryView import registerDirectory

import ComplexDocument

contentClasses = ( ComplexDocument.ComplexDocument
                   , 
                   )


contentConstructors = ( ComplexDocument.addComplexDocument
                        ,
                      )

bases=(( Portal.CMFSite
          , Discussions.Discussable
          , Discussions.DiscussionResponse
          , DublinCore.DefaultDublinCoreImpl
         ) + contentConstructors)

import sys
this_module = sys.modules[ __name__ ]

#z_bases = utils.initializeBasesPhase1( bases, this_module )

# Make the skins available as DirectoryViews.
registerDirectory('skins', globals())

# This is used by a script (external method) that can be run
# to set up Topics in an existing CMF Site instance.
complexdocument_globals=globals()


def initialize( context ):

#    utils.initializeBasesPhase2( z_bases, context )

    utils.ContentInit('Complex Document' 
                      , content_types = contentClasses 
                      , permission = ADD_CONTENT_PERMISSION 
                      , extra_constructors = contentConstructors
                      ).initialize( context )

    
    
